CREATE TABLE fun_bc_trx_histories (
    TRX_HISTORY_ID            NUMBER(18, 0) ,
    EXECUTION_DATE            TIMESTAMP(6)      NOT NULL,
    APPLICATION_NAME          VARCHAR2(800)     NOT NULL,
    APPLICATION_CODE          VARCHAR2(120)     NOT NULL,
    APPLICATION_VERSION       VARCHAR2(80)      NOT NULL,
    CONNECTION_NAME           VARCHAR2(800)     NOT NULL,
    CONNECTION_DETAIL         VARCHAR2(4000),
    CHAINCODE_METHOD_NAME     VARCHAR2(800)     NOT NULL,
    INTERFACE_NAME            VARCHAR2(800)     NOT NULL,
    INTERFACE_INPUT           VARCHAR2(4000),
    INTERFACE_OUTPUT          VARCHAR2(4000),
    EXECUTION_SUCCESS_FLAG    VARCHAR2(4)       NOT NULL,
    EXECUTION_ERROR_CODE      VARCHAR2(120) ,
    EXECUTION_DETAIL          VARCHAR2(4000),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    TRX_HISTORY_ID            NUMBER(18, 0) ,
    EXECUTION_DATE            TIMESTAMP(6)      NOT NULL,
    APPLICATION_NAME          VARCHAR2(800)     NOT NULL,
    APPLICATION_CODE          VARCHAR2(120)     NOT NULL,
    APPLICATION_VERSION       VARCHAR2(80)      NOT NULL,
    CONNECTION_NAME           VARCHAR2(800)     NOT NULL,
    CONNECTION_DETAIL         VARCHAR2(4000),
    CHAINCODE_METHOD_NAME     VARCHAR2(800)     NOT NULL,
    INTERFACE_NAME            VARCHAR2(800)     NOT NULL,
    INTERFACE_INPUT           VARCHAR2(4000),
    INTERFACE_OUTPUT          VARCHAR2(4000),
    EXECUTION_SUCCESS_FLAG    VARCHAR2(4)       NOT NULL,
    EXECUTION_ERROR_CODE      VARCHAR2(120) ,
    EXECUTION_DETAIL          VARCHAR2(4000),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fun_bc_trx_histories PRIMARY KEY (TRX_HISTORY_ID, TRX_HISTORY_ID)
);
